(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
	typeof define === 'function' && define.amd ? define(factory) :
	(global.highlight = factory());
}(this, (function () { 'use strict';

function encode(str, jsUnicode) {
	if ( jsUnicode === void 0 ) jsUnicode = true;

	var result = [];
	var len = str.length;
	for (var i = 0; i < len; i++) {
		var hex = str.charAt(i).charCodeAt(0).toString(16);
		if (jsUnicode) {
			result.push(("\\u" + (((("000" + hex)).slice(-4)))));
		} else {
			result.push(hex);
		}
	}
	return result.join('')
}

function onlyUnique(value, index, arr) {
	return arr.indexOf(value) === index && value
}

function highlight() {
	var args = [], len = arguments.length;
	while ( len-- ) args[ len ] = arguments[ len ];

	var _tpl = '<mark>$&</mark>';
	var source = args[0];
	var q = args[1];
	var tpl = args[2]; if ( tpl === void 0 ) tpl = _tpl;
	var split = args[3]; if ( split === void 0 ) split = true;
	if (typeof tpl === 'boolean') {
		split = tpl;
		tpl = _tpl;
	}

	var words = (split ? q.split(' ') : [q])
		.map(function (word) { return word.trim(); })
		.filter(onlyUnique)
		.sort(function (a, b) { return b.length - a.length; })
		.map(function (word) { return encode(word); });

	var regex = new RegExp(("" + (words.join('|'))), 'g');
	return source.replace(regex, tpl)
}

return highlight;

})));
//# sourceMappingURL=index.js.map
